---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 3694c04d-97cb-5950-b895-82942177182f
      tier: AATSR_CMP_MONTH
      value: 0.02043219842016697
    brdf:
      alpha_1:
        band_1: 0.4545685220997961
        band_11: 0.5356853809610839
        band_12: 0.41692660326074393
        band_2: 0.4544835220255101
        band_3: 0.6584127312996505
        band_4: 0.6605261611144648
        band_5: 0.6606274144497167
        band_6: 0.6605866126476365
        band_7: 0.8272724607693557
        band_8: 0.8272731714053043
        band_8a: 0.8272604894679013
      alpha_2:
        band_1: 0.22677679691330654
        band_11: 0.19340862968428502
        band_12: 0.2241448458268799
        band_2: 0.22681133336865042
        band_3: 0.2182510194901916
        band_4: 0.22531891147780445
        band_5: 0.2253150283701473
        band_6: 0.22532082505352982
        band_7: 0.11966137848919704
        band_8: 0.11966302122003805
        band_8a: 0.11964911067145452
      id:
      - 22e9209b-0051-5f1c-8941-9e0e1e5306b1
      - fb53e8b7-3b14-50b5-932a-440c2f8ac8c2
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 3a5b2597-effc-53e6-b65f-cec584ee6a3e
      tier: DEFINITIVE
      value: 0.27
    water_vapour:
      id:
      - 61cc69e2-591a-5660-98d8-e6876e1229de
      tier: DEFINITIVE
      value: 1.4500000000000002
  id: d0822d71-4175-4704-9f59-146c719f5c06
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1975.1558812246126
      BAND-11: 240.455724918686
      BAND-12: 82.24010156247127
      BAND-2: 2018.9094458602551
      BAND-3: 1890.4162930763134
      BAND-4: 1543.5250434011296
      BAND-5: 1424.8719127522152
      BAND-6: 1300.1997428008797
      BAND-7: 1190.2594353396391
      BAND-8: 1054.1771737344566
      BAND-8A: 961.3268717768144
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2024-03-12 00:18:31.085566Z
    atime: 2024-04-09 00:20:35Z
    ctime: 2024-03-13 17:47:41Z
    mtime: 2024-03-13 17:47:36Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2024/2024-03/40S145E-45S150E/S2A_MSIL1C_20240312T001111_N0510_R073_T55GDP_20240312T012603.zip
  system_information:
    hostname: gadi-cpu-clx-2725.gadi.nci.org.au
    runtime_id: fbdd026e-f606-11ee-aa94-00000184fe80
    time_processed: 2024-04-09 00:20:35.085105Z
    uname: 'Linux gadi-cpu-clx-2725.gadi.nci.org.au 4.18.0-513.11.1.el8.nci.x86_64
      #1 SMP Thu Jan 18 16:42:37 AEDT 2024 x86_64'
gqa:
  colors:
    blue: 26.0
    green: 1268.0
    red: 26.0
    teal: 210.0
    yellow: 22.0
  error_message: no errors
  final_qa_count: 1467
  granule: S2A_OPER_MSI_L1C_TL_2APS_20240312T012603_A045544_T55GDP_N05.10
  ref_date: '2014-02-07T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata-2/GCP/GQA_v3/wrs2/091/089/LC80910892014038LGN00_B6.TIF
  residual:
    abs:
      x: 0.31
      xy: 0.45
      y: 0.33
    abs_iterative_mean:
      x: 0.19
      xy: 0.28
      y: 0.21
    cep90: 0.54
    iterative_mean:
      x: 0.15
      xy: 0.21
      y: -0.15
    iterative_stddev:
      x: 0.18
      xy: 0.29
      y: 0.23
    mean:
      x: 0.16
      xy: 0.23
      y: -0.16
    stddev:
      x: 0.74
      xy: 1.09
      y: 0.8
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 59.21663635168105
    cloud: 35.446348630541294
    cloud_shadow: 1.8521102592756948
    snow: 0.4170362212535572
    water: 3.0678685372484003
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 59.17133748361862
    cloud: 40.82866251638137
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.9.0
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.4
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.3
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.29.7
...
